org.richfaces.renderkit.html

## Class Paint2DCachedResource

- java.lang.Object
- - org.ajax4jsf.resource.InternetResourceBase
  - - org.richfaces.renderkit.html.Paint2DResource
    - - org.richfaces.renderkit.html.Paint2DCachedResource

- All Implemented Interfaces:
    org.ajax4jsf.resource.InternetResource

      public class Paint2DCachedResource
      extends Paint2DResource

  Cacheable version of painted resource.
  Version:
    $Revision: 1.2 $ $Date: 2007/02/05 17:52:48 $
  Author:
    asmirnov@exadel.com (latest modification by $Author: nick_belaevski $)

- - ### Field Summary

    - ### Fields inherited from interface org.ajax4jsf.resource.InternetResource

      `CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Paint2DCachedResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCacheable()`

    - ### Methods inherited from class org.richfaces.renderkit.html.Paint2DResource

      `getDataToStore, getDimensions, getDimensions, getRenderer, getRenderer, isCacheable, requireFacesContext, send`

    - ### Methods inherited from class org.ajax4jsf.resource.InternetResourceBase

      `deserializeData, encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getResourceAsStream, getUri, isSessionAware, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Paint2DCachedResource

          public Paint2DCachedResource()

  - ### Method Detail

    - #### isCacheable

          public boolean isCacheable()

      Overrides:
        `isCacheable` in class `Paint2DResource`

Copyright © 2014. All Rights Reserved.